--
--  $Id: shell.adb,v 1.2 2011/02/02 19:08:06 joel Exp $
--

with Interfaces.C.Strings; use Interfaces.C.Strings;
with Commands;             use Commands;
with RTEMS_Shell;          use RTEMS_Shell;

procedure Shell is
begin
   RTEMS_Shell_Add_Command
     (New_String ("getopt"),
      New_String ("test"),
      New_String ("Example of getopt with pattern c:di:n:p:u:V"),
      Command_Getopt_R'Access);

   RTEMS_Shell_Add_Command
     (New_String ("args"),
      New_String ("test"),
      New_String ("Test passing arguments"),
      Command_Test_Arguments'Access);

   Set_RTEMS_Shell_Prompt_Function (C_Prompt'Access);
   --  Initialize_Telnet_Daemon;
   loop
      Invoke_RTEMS_Shell;
   end loop;
end Shell;
